<template>
  <v-stepper v-model="e1" class="elevation-0">
    <v-stepper-header class="elevation-0">
      <v-stepper-step :complete="e1 > 1" step="1">
        Select device and filename
      </v-stepper-step>

      <v-divider></v-divider>

      <v-stepper-step :complete="e1 > 2" step="2">
        Presets
      </v-stepper-step>

      <v-divider></v-divider>

      <v-stepper-step step="3"> Run </v-stepper-step>
    </v-stepper-header>

    <v-stepper-items>
      <v-stepper-content step="1">
        <Tab1 @continue="e1 = 2"/>
      </v-stepper-content>

      <v-stepper-content step="2">
        <Tab2 @continue="e1 = 3" @goBack="e1=1"/>
      </v-stepper-content>

      <v-stepper-content step="3">
        <Tab3 @goBack="e1=2"/>
      </v-stepper-content>
    </v-stepper-items>

  </v-stepper>
</template>

<script>
import Tab1 from "./Status/Tab1"
import Tab2 from "./Status/Tab2"
import Tab3 from "./Status/Tab3"
import { EventBus } from "@/plugins/bus.js";

export default {
  name: "Status",
  components: {
    Tab1,
    Tab2,
    Tab3
  },
  data: () => ({
    e1: 1,
  }),
  mounted() {
    EventBus.$on("disconnected", () => {
      setTimeout(() => {
        this.e1 = 1;
      }, 1500);
    });
  }
};
</script>

<style>
.theme--dark.v-stepper {
  background-color: #1E1E1E !important;
}
</style>